import Vue from 'vue'
import Router from 'vue-router'
import { normalizeURL, decode } from 'ufo'
import { interopDefault } from './utils'
import scrollBehavior from './router.scrollBehavior.js'

const _a68fae66 = () => interopDefault(import('../pages/about.vue' /* webpackChunkName: "pages/about" */))
const _7551776f = () => interopDefault(import('../pages/Admin.vue' /* webpackChunkName: "pages/Admin" */))
const _1d9fdb09 = () => interopDefault(import('../pages/Authorize.vue' /* webpackChunkName: "pages/Authorize" */))
const _b7bfdfb8 = () => interopDefault(import('../pages/export.vue' /* webpackChunkName: "pages/export" */))
const _0d89c689 = () => interopDefault(import('../pages/Login.vue' /* webpackChunkName: "pages/Login" */))
const _3267d9b3 = () => interopDefault(import('../pages/Register.vue' /* webpackChunkName: "pages/Register" */))
const _a37f59da = () => interopDefault(import('../pages/settings.vue' /* webpackChunkName: "pages/settings" */))
const _77007d24 = () => interopDefault(import('../pages/add/DateInput.vue' /* webpackChunkName: "pages/add/DateInput" */))
const _323b5010 = () => interopDefault(import('../pages/add/HourInput.vue' /* webpackChunkName: "pages/add/HourInput" */))
const _0d10ab0b = () => interopDefault(import('../pages/add/ImportDialog.vue' /* webpackChunkName: "pages/add/ImportDialog" */))
const _afed513e = () => interopDefault(import('../pages/add/WhereInput.vue' /* webpackChunkName: "pages/add/WhereInput" */))
const _1f2e3284 = () => interopDefault(import('../pages/embed/list.vue' /* webpackChunkName: "pages/embed/list" */))
const _48034974 = () => interopDefault(import('../pages/event/embedEvent.vue' /* webpackChunkName: "pages/event/embedEvent" */))
const _5483e24c = () => interopDefault(import('../pages/event/eventAdmin.vue' /* webpackChunkName: "pages/event/eventAdmin" */))
const _092af23b = () => interopDefault(import('../pages/add/_edit.vue' /* webpackChunkName: "pages/add/_edit" */))
const _5b0b3f3c = () => interopDefault(import('../pages/announcement/_id.vue' /* webpackChunkName: "pages/announcement/_id" */))
const _560edfc9 = () => interopDefault(import('../pages/embed/_event_id.vue' /* webpackChunkName: "pages/embed/_event_id" */))
const _37693a05 = () => interopDefault(import('../pages/event/_id.vue' /* webpackChunkName: "pages/event/_id" */))
const _167f91a1 = () => interopDefault(import('../pages/recover/_code.vue' /* webpackChunkName: "pages/recover/_code" */))
const _f857db92 = () => interopDefault(import('../pages/user_confirm_pwd/_code.vue' /* webpackChunkName: "pages/user_confirm_pwd/_code" */))
const _4e0de739 = () => interopDefault(import('../pages/user_confirm/_code.vue' /* webpackChunkName: "pages/user_confirm/_code" */))
const _671ff8dc = () => interopDefault(import('../pages/index.vue' /* webpackChunkName: "pages/index" */))

const emptyFn = () => {}

Vue.use(Router)

export const routerOptions = {
  mode: 'history',
  base: '/',
  linkActiveClass: 'nuxt-link-active',
  linkExactActiveClass: 'nuxt-link-exact-active',
  scrollBehavior,

  routes: [{
    path: "/about",
    component: _a68fae66,
    name: "about"
  }, {
    path: "/Admin",
    component: _7551776f,
    name: "Admin"
  }, {
    path: "/Authorize",
    component: _1d9fdb09,
    name: "Authorize"
  }, {
    path: "/export",
    component: _b7bfdfb8,
    name: "export"
  }, {
    path: "/Login",
    component: _0d89c689,
    name: "Login"
  }, {
    path: "/Register",
    component: _3267d9b3,
    name: "Register"
  }, {
    path: "/settings",
    component: _a37f59da,
    name: "settings"
  }, {
    path: "/add/DateInput",
    component: _77007d24,
    name: "add-DateInput"
  }, {
    path: "/add/HourInput",
    component: _323b5010,
    name: "add-HourInput"
  }, {
    path: "/add/ImportDialog",
    component: _0d10ab0b,
    name: "add-ImportDialog"
  }, {
    path: "/add/WhereInput",
    component: _afed513e,
    name: "add-WhereInput"
  }, {
    path: "/embed/list",
    component: _1f2e3284,
    name: "embed-list"
  }, {
    path: "/event/embedEvent",
    component: _48034974,
    name: "event-embedEvent"
  }, {
    path: "/event/eventAdmin",
    component: _5483e24c,
    name: "event-eventAdmin"
  }, {
    path: "/add/:edit?",
    component: _092af23b,
    name: "add-edit"
  }, {
    path: "/announcement/:id?",
    component: _5b0b3f3c,
    name: "announcement-id"
  }, {
    path: "/embed/:event_id?",
    component: _560edfc9,
    name: "embed-event_id"
  }, {
    path: "/event/:id?",
    component: _37693a05,
    name: "event-id"
  }, {
    path: "/recover/:code?",
    component: _167f91a1,
    name: "recover-code"
  }, {
    path: "/user_confirm_pwd/:code?",
    component: _f857db92,
    name: "user_confirm_pwd-code"
  }, {
    path: "/user_confirm/:code?",
    component: _4e0de739,
    name: "user_confirm-code"
  }, {
    path: "/",
    component: _671ff8dc,
    name: "index"
  }],

  fallback: false
}

export function createRouter (ssrContext, config) {
  const base = (config._app && config._app.basePath) || routerOptions.base
  const router = new Router({ ...routerOptions, base  })

  // TODO: remove in Nuxt 3
  const originalPush = router.push
  router.push = function push (location, onComplete = emptyFn, onAbort) {
    return originalPush.call(this, location, onComplete, onAbort)
  }

  const resolve = router.resolve.bind(router)
  router.resolve = (to, current, append) => {
    if (typeof to === 'string') {
      to = normalizeURL(to)
    }
    return resolve(to, current, append)
  }

  return router
}
